Page MenuHomePhabricator

Refactor Socket into a first class Host-object
ClosedPublic

Authored by zturner on Jul 23 2014, 10:26 AM.

Details

Summary

This patch takes socket logic out of ConnectionFileDescriptor and moves into a Socket class in the Host layer, updating ConnectionFileDescriptor to use the Socket class instead of hand-coded socket logic.

Windows provides a wildly different interface to sockets than POSIX, so this change will make it easier to make sockets, and ultimately the ConnectionFileDescriptor class, work correctly on Windows.

I tested on Windows (as much as I could anyway) and Linux. On Linux I can create an lldb-platform that listens for connections, and I can successfully connect to it and send remote commands, all going through the new code path. There is 1 test failure, in TestProcessIO.py. It seems to have trouble with SBProcess.PutSTDIN. I'm still trying to figure this out, but everything else seems to work. Likely I will need some help testing on Mac and getting the Xcode project updated accordingly with the new files.

Diff Detail

Repository
rL LLVM

Event Timeline

zturner updated this revision to Diff 11813.Jul 23 2014, 10:26 AM
zturner retitled this revision from to Refactor Socket into a first class Host-object.
zturner updated this object.
zturner edited the test plan for this revision. (Show Details)
zturner added a reviewer: tfiala.
zturner added a subscriber: Unknown Object (MLST).
zturner updated this revision to Diff 11852.Jul 24 2014, 2:06 PM

Fixed a few bugs

zturner updated this revision to Diff 11853.Jul 24 2014, 2:12 PM

Rebased against tip and fixed some comments.

tfiala edited edge metadata.Jul 28 2014, 8:42 AM

Starting to look at this now.

Hey Zachary,

These were the minimal changes to get it building on MacOSX. (Full patch).

This is not ready to go - tens of crashes on MacOSX test run. Linux built fine but had a number of failing tests.

Failing Linux tests:

Ran 303 tests.
Failing Tests (10)
FAIL: LLDB (suite) :: TestStubSetSID.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestGdbRemote_vCont.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestGdbRemoteExpeditedRegisters.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestGdbRemoteRegisterState.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestGdbRemoteAuxvSupport.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestGdbRemoteThreadsInStopReply.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestGdbRemoteSingleStep.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestGdbRemoteKill.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestLldbGdbServer.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
FAIL: LLDB (suite) :: TestProcessIO.py (Linux tfiala2.mtv.corp.google.com 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64)
ninja: build stopped: subcommand failed.

I'm going to start looking into the Linux failures first. Those might address some of the MacOSX ones as well.

-Todd

That last patch also included a minor tweak to get lldb-gdbserver.cpp building after this weekend's changes.

For the sake of completeness, here is the list of tests that failed on MacOSX 10.9.4 with the patch applied:

Ran 303 tests.
Failing Tests (247)
FAIL: LLDB (suite) :: TestPublicAPIHeaders.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestMultithreaded.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCallStdStringFunction.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCallStopAndContinue.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCallThatThrows.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFormatters.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test11588.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestPersistentTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestPersistentVariables.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestPoVerbosity.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test8638051.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestPrintfAfterUp.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestExprHelpExamples.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestExprs.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestExprs2.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCallWithTimeout.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCTypeQueryFromOtherCompileUnit.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestAbbreviations.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestAliases.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBSDArchives.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestAttachResume.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBreakpointCommand.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBreakpointCommandsFromPython.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRegexpBreakCommand.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBreakpointConditions.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBreakpointIgnoreCount.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBreakpointLocations.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestInlinedBreakpoints.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCommandScript.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestConditionalBreak.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterAdv.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterCategories.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterCpp.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterDisabling.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterEnumFormat.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterNamedSummaries.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterObjC.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterPythonSynth.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterScript.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterSkipSummary.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterSmartArray.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibccIterator.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibcxxList.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibccMap.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibccMultiMap.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibcxxMultiSet.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibcxxSet.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibcxxString.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterUnordered.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibcxxVBool.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterLibcxxVector.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterStdIterator.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterStdList.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterStdMap.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterStdString.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterStdVBool.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterStdVector.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterSynth.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFormatPropagation.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFrameFormatSmallStruct.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestPtrRef2Typedef.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test-rdar-10449092.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test-rdar-10642615.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar10887661.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar11086338.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFormattersBoolRefPtr.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFormattersBoolRefPtr.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar 11988289.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar12437442.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar12529957.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test-rdar-13338477.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFormattersOneIsSingular.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test-rdar-9973865.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test-rdar-9973992.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test-rdar-9974002.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDataFormatterRefPtrRecursion.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestUserFormatVsSummary.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDeadStrip.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDynamicValueChildCount.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestConvenienceVariables.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestExec.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestExprDoesntBlock.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestInferiorAssert.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestInferiorChanged.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRecursiveInferior.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestInferiorCrashing.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestInlineStepping.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestLoadUnload.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestMemoryRead.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestIndexVariable.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestProcessAttach.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestProcessLaunch.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestValueObjectRecursion.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRegisters.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestReturnValue.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSetData.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSendSignal.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestStepNoDebug.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestStopHookMultipleThreads.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestStopHookMechanism.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestTargetCommand.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBreakAfterJoin.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestConcurrentEvents.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCreateAfterAttach.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCreateDuringStep.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestExitDuringBreak.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestExitDuringStep.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestThreadJump.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestMultipleBreakpoints.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestThreadStates.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestThreadStepOut.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestThreadExit.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestThreadSpecificBreakpoint.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestNumThreads.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestTypeCompletion.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchLocation.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestMyFirstWatchpoint.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointMultipleThreads.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchedVarHitWhenInScope.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointCommandLLDB.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointCommandPython.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointConditionCmd.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointCommands.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointEvents.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchLocationWithWatchSet.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointSetErrorCases.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestAnonymous.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestArrayTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBitfields.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBlocks.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestConstVariables.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestEnumTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestForwardDeclaration.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFunctionTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestGlobalVariables.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRegisterVariables.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSetValues.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSharedLib.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSharedLibStrippedSymbols.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestStepAndBreakpoints.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestThreadStepping.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCStrings.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestStructTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestTlsGlobals.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCPPBool.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCallCPPFunction.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestChar1632T.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestStaticVariables.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestClassTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestClassTypesDisassembly.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDiamond.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCppValueCast.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDynamicValue.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCPP11EnumTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCPPExceptionBreakpoints.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestNamespace.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestOverloadedFunctions.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar12991846.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRvalueReferences.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSignedTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCPPStaticMembers.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCPPStaticMethods.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSTL.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCPPThis.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestUniqueTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestUnsignedTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestVirtual.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCxxWCharT.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCIvarsInBlocks.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestForwardDecl.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestConstStrings.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFoundationDisassembly.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCMethods.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCMethods2.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjectDescriptionAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRuntimeTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSymbolTable.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestHiddenIvars.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCXX.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCBaseClassSBType.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCBuiltinTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCCheckers.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCClassMethod.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCDynamicSBType.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCDynamicValue.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCIvarOffsets.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCIvarStripped.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCNewSyntax.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjcOptimized.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCProperty.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCStaticMethod.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCStaticMethodStripped.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCStepping.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCStructReturn.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCSuper.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestPrintObj.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCMethodReturningBOOL.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar10967107.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar11355592.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRdar12408181.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRealDefinition.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCSelf.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestBuiltinTrap.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestAddDsymMidExecutionCommand.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestIndirectSymbols.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestOrderFile.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestQueues.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSafeFuncCalls.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestUniversal.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestEvents.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSBFrameFindValue.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFormattersSBAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestInlinedFrame.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFrames.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestDisasmAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSymbolAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestHelloWorld.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestCommandInterpreterAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFrameUtils.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestLLDBIterator.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestRegistersIterator.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestPrintStackTraces.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestObjCType.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestProcessIO.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestProcessAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: Test-rdar-12481949.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSBData.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSignalsAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSymbolContext.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestTargetAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestThreadAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestTypeList.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestChangeValueAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestValueAPILinkedList.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestValueAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointConditionAPI.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSetWatchlocation.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestTargetWatchAddress.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSetWatchpoint.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointIgnoreCount.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestWatchpointIter.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSettings.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestSourceManager.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFloatTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestFloatTypesExpr.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestIntegerTypes.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)
FAIL: LLDB (suite) :: TestIntegerTypesExpr.py (Darwin tfiala-macpro.mtv.corp.google.com 13.3.0 Darwin Kernel Version 13.3.0: Tue Jun  3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64 i386)

Hmm. Seems like at some point in the near future I'm going to need to get
a Mac.

In D4641#12, @zturner wrote:

Hmm. Seems like at some point in the near future I'm going to need to get
a Mac.

I don't know about that. I just happen to be in an easy position to test it there since I generally work out of Xcode these days. I don't think we can expect everyone to have every platform. This is more where we need functional build bots, and need to be willing to revert or fix things really quickly.

This one happens to be a relatively core change which (clearly) has some tendrils. I'm back to looking at it now.

lldb-gdbserver is seg faulting. It looks like Socket::GetBoundPort is being called on something that appears to have a null pointer.

#0  __GI___pthread_mutex_lock (mutex=0x7fffdf3cae28) at ../nptl/pthread_mutex_lock.c:66
66      ../nptl/pthread_mutex_lock.c: No such file or directory.
(gdb) bt
#0  __GI___pthread_mutex_lock (mutex=0x7fffdf3cae28) at ../nptl/pthread_mutex_lock.c:66
#1  0x00007f2fc323c645 in lldb_private::Mutex::Lock (this=0xa0)
    at /mnt/ssd/work/macosx.sync/mp-svn/llvm/tools/lldb/source/Host/common/Mutex.cpp:278
#2  0x00007f2fc323c536 in lldb_private::Mutex::Locker::Lock (this=0x7fffdf3cae28, mutex=...)
    at /mnt/ssd/work/macosx.sync/mp-svn/llvm/tools/lldb/source/Host/common/Mutex.cpp:154
#3  0x00007f2fc323c4df in lldb_private::Mutex::Locker::Locker (this=0x7fffdf3cae28, m=...)
    at /mnt/ssd/work/macosx.sync/mp-svn/llvm/tools/lldb/source/Host/common/Mutex.cpp:114
#4  0x00007f2fc37c4fe3 in lldb_private::Predicate<unsigned short>::WaitForValueNotEqualTo (this=0x98, value=0, 
    new_value=@0x7fffdf3cae92: 0, abstime=0x7fffdf3cae88)
    at /mnt/ssd/work/macosx.sync/mp-svn/llvm/tools/lldb/include/lldb/Host/Predicate.h:448
#5  0x00007f2fc37c4f7b in lldb_private::Socket::GetBoundPort (this=0x0, timeout_sec=10)
    at /mnt/ssd/work/macosx.sync/mp-svn/llvm/tools/lldb/source/Host/common/Socket.cpp:655
#6  0x000000000040a3f4 in ConnectToRemote (gdb_server=..., reverse_connect=false, 
    host_and_port=0x7fffdf3ce0bb "localhost:0", 
    progname=0x7fffdf3ce078 "/mnt/ssd/work/macosx.sync/mp-svn/build-debug/bin/lldb-gdbserver", 
    named_pipe_path=0x11064a8 "/tmp/tmp8DotCl/stub_port_number")
    at /mnt/ssd/work/macosx.sync/mp-svn/llvm/tools/lldb/tools/lldb-gdbserver/lldb-gdbserver.cpp:408
#7  0x000000000040b5ae in main (argc=0, argv=0x7fffdf3cbe30)
    at /mnt/ssd/work/macosx.sync/mp-svn/llvm/tools/lldb/tools/lldb-gdbserver/lldb-gdbserver.cpp:681

Tracking that down.

Hey Zachary,

If you look in lldb-gdbserver.cpp in the patch I sent (it has updates to get it up to date with top of tree, which changed in this file on Saturday), this section of code:

C++
                // FIXME use new generic named pipe support.
                int fd = ::open(named_pipe_path, O_WRONLY);
                if (fd > -1)
                {
                    Socket &socket = static_cast<Socket&> (s_listen_connection_up->GetReadObject ());
                    const uint16_t bound_port = socket.GetBoundPort (10);

That socket represents a listener socket, and the operation that is intending to be performed is "ask the listener what socket it is listening on" --- meaning, what port is the socket listening on. We're telling the listening port to assign something randomly that isn't already used, and here is where we find out what was actually selected. I can't totally tell what the code under Socket is trying to do here, but what it is supposed to do is ask the listening socket, which is *not yet* connected with a client, to specify the port it is using.

This is probably what is breaking the Mac side too, since the Mac uses this paradigm I think even more than we do on Linux at the moment given the way they launch debugserver for all local debugging. (You'll notice only the Linux llgs-related tests failed, but if we were using llgs everywhere, everything would have failed, much like the Mac).

With the new code, how would you expect I'd ask a listener socket what port it is bound to? Most likely we need to adjust the code to do whatever that is in these cases.

zturner updated this revision to Diff 11953.Jul 28 2014, 12:42 PM
zturner edited edge metadata.

Fixes compilation across all platforms. Still diagnosing test failures.

Looks like the Xcode project changes are missing from the latest patch set put up. Here they are in case that was somehow missing from my initial svn diff:

zturner updated this revision to Diff 11964.Jul 28 2014, 4:57 PM

This fixes the crashing in lldb-gdbserver, and should include all of the necessary things to get it to compile on MacOSX as well. (I have a request for my own Mac workstation pending, until then I have to cross my fingers and hope I did it right).

lldb-gdbserver tests still fail, but now it's because of a pipe that's not getting any data. I suspect that all the remaining test failures now have the same underlying cause. Still investigating exactly what that might be, though.

zturner closed this revision.Aug 6 2014, 11:25 AM
zturner updated this revision to Diff 12243.

Closed by commit rL214984 (authored by @zturner).